<?php 

	$home_construction_custom_style = '';

	// Logo Size
	$home_construction_logo_top_padding = get_theme_mod('home_construction_logo_top_padding');
	$home_construction_logo_bottom_padding = get_theme_mod('home_construction_logo_bottom_padding');
	$home_construction_logo_left_padding = get_theme_mod('home_construction_logo_left_padding');
	$home_construction_logo_right_padding = get_theme_mod('home_construction_logo_right_padding');

	if( $home_construction_logo_top_padding != '' || $home_construction_logo_bottom_padding != '' || $home_construction_logo_left_padding != '' || $home_construction_logo_right_padding != ''){
		$home_construction_custom_style .=' .logo {';
			$home_construction_custom_style .=' padding-top: '.esc_attr($home_construction_logo_top_padding).'px;
			padding-bottom: '.esc_attr($home_construction_logo_bottom_padding).'px;
			padding-left: '.esc_attr($home_construction_logo_left_padding).'px;
			padding-right: '.esc_attr($home_construction_logo_right_padding).'px;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_logo_size = get_theme_mod('home_construction_logo_size');
	if( $home_construction_logo_size != '' ) {
		if($home_construction_logo_size >= 0 && $home_construction_logo_size <= 100) {
			$calculated_width = $home_construction_logo_size * 3.5;
			$home_construction_custom_style .= ' .custom-logo-link img {';
			$home_construction_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$home_construction_custom_style .= ' }';
		}
	}
	
	// Site Title Font Size
	$home_construction_site_title_font_size = get_theme_mod('home_construction_site_title_font_size');
	if( $home_construction_site_title_font_size != ''){
		$home_construction_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_site_title_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	// Site Tagline Font Size
	$home_construction_site_tagline_font_size = get_theme_mod('home_construction_site_tagline_font_size');
	if( $home_construction_site_tagline_font_size != ''){
		$home_construction_custom_style .=' .logo p.site-description {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_site_tagline_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	//layout width
	$home_construction_boxfull_width = get_theme_mod('home_construction_boxfull_width');
	if ($home_construction_boxfull_width !== '') {
		switch ($home_construction_boxfull_width) {
			case 'container':
				$home_construction_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$home_construction_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$home_construction_dropdown_anim = get_theme_mod('home_construction_dropdown_anim');

	if ( $home_construction_dropdown_anim != '') {
		$home_construction_custom_style .=' .nav-menu ul ul {';
			$home_construction_custom_style .=' animation:'.esc_attr($home_construction_dropdown_anim).' 1s ease;';
		$home_construction_custom_style .=' }';
	}
	
	// Header Image
	$header_image_url = home_construction_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$home_construction_custom_style .=' #inner-pages-header {';
			$home_construction_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat;';
		$home_construction_custom_style .=' }';
		$home_construction_custom_style .=' .header-overlay {';
			$home_construction_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.6;';
		$home_construction_custom_style .=' }';
		$home_construction_custom_style .=' .single #header, .page-template-default #header {';
			$home_construction_custom_style .=' margin: 0;';
		$home_construction_custom_style .=' }';
	}

	// Social icons css
	$home_construction_social_icons_color = get_theme_mod('home_construction_social_icons_color');

	if ( $home_construction_social_icons_color != '') {
		$home_construction_custom_style .=' .social-icons i {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_social_icons_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_social_icons_hover_color = get_theme_mod('home_construction_social_icons_hover_color');

	if ( $home_construction_social_icons_hover_color != '') {
		$home_construction_custom_style .=' .social-icons i:hover {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_social_icons_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_social_icon_font_size = get_theme_mod('home_construction_social_icon_font_size');

	if ( $home_construction_social_icon_font_size != '') {
		$home_construction_custom_style .=' .social-icons i {';
			$home_construction_custom_style .=' font-size: '.esc_attr($home_construction_social_icon_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_menu_color = get_theme_mod('home_construction_menu_color');
	if ( $home_construction_menu_color != '') {
		$home_construction_custom_style .=' .nav-menu ul li a {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_menu_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_menuhvr_color = get_theme_mod('home_construction_menuhvr_color');
	if ( $home_construction_menuhvr_color != '') {
		$home_construction_custom_style .=' .nav-menu ul li a:hover {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_menuhvr_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_submenu_color = get_theme_mod('home_construction_submenu_color');
	$home_construction_submenubg_color = get_theme_mod('home_construction_submenubg_color');
	if ( $home_construction_submenu_color != '') {
		$home_construction_custom_style .=' .nav-menu ul ul a {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_submenu_color).'; background-color:'.esc_attr($home_construction_submenubg_color).'!important;';
		$home_construction_custom_style .=' }';
	}

	// Slider css
	$home_construction_slider_hide_show = get_theme_mod('home_construction_slider_hide_show',false);
	if( $home_construction_slider_hide_show == true){
		$home_construction_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$home_construction_custom_style .=' display:none;';
		$home_construction_custom_style .=' }';
	} else {
		$home_construction_custom_style .=' .page-template-custom-home-page #header {';
			$home_construction_custom_style .=' position: static;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_font_size = get_theme_mod('home_construction_slider_font_size');
	if ( $home_construction_slider_font_size != '') {
		$home_construction_custom_style .=' #slider h2 a {';
			$home_construction_custom_style .=' font-size:'.esc_attr($home_construction_slider_font_size).'px;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_opacity = get_theme_mod('home_construction_slider_opacity');
	if ( $home_construction_slider_opacity != '') {
		$home_construction_custom_style .=' #slider img {';
			$home_construction_custom_style .=' opacity:'.esc_attr($home_construction_slider_opacity).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_heading_color = get_theme_mod('home_construction_slider_heading_color');

	if ( $home_construction_slider_heading_color != '') {
		$home_construction_custom_style .=' #slider h2 a {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_slider_heading_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_buttonbg_color = get_theme_mod('home_construction_slider_buttonbg_color');

	if ( $home_construction_slider_buttonbg_color != '') {
		$home_construction_custom_style .=' #slider a.read-btn {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_slider_buttonbg_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_buttonbg_hover_color = get_theme_mod('home_construction_slider_buttonbg_hover_color');

	if ( $home_construction_slider_buttonbg_hover_color != '') {
		$home_construction_custom_style .=' #slider a.read-btn:before, #slider a.read-btn:after {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_slider_buttonbg_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_slider_button_hover_color = get_theme_mod('home_construction_slider_button_hover_color');
	if ( $home_construction_slider_button_hover_color != '') {
		$home_construction_custom_style .=' #slider a.read-btn:hover span, .article_content .read-btn a:hover span {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_slider_button_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	// Service css
	$home_construction_service_img_size = get_theme_mod('home_construction_service_img_size');

	if( $home_construction_service_img_size != ''){
		$home_construction_custom_style .=' .service-box .image-box img {';
			$home_construction_custom_style .=' width: '.esc_attr($home_construction_service_img_size).'px; height: '.esc_attr($home_construction_service_img_size).'px;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_service_small_title_color = get_theme_mod('home_construction_service_small_title_color');

	if ( $home_construction_service_small_title_color != '') {
		$home_construction_custom_style .=' #service-section h3 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_service_small_title_color).'!important;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_section_title_color = get_theme_mod('home_construction_section_title_color');

	if ( $home_construction_section_title_color != '') {
		$home_construction_custom_style .=' #service-section h4 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_section_title_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_service_title_color = get_theme_mod('home_construction_service_title_color');

	if ( $home_construction_service_title_color != '') {
		$home_construction_custom_style .=' #service-section h5 {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_service_title_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_service_icon_color = get_theme_mod('home_construction_service_icon_color');

	if ( $home_construction_service_icon_color != '') {
		$home_construction_custom_style .=' .service-icon i {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_service_icon_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_service_iconbg_color1 = get_theme_mod('home_construction_service_iconbg_color1');
	$home_construction_service_iconbg_color2 = get_theme_mod('home_construction_service_iconbg_color2');

	if ( $home_construction_service_iconbg_color1 != '') {
		$home_construction_custom_style .=' .service-icon i {';
			$home_construction_custom_style .=' background: linear-gradient(to bottom, '.esc_attr($home_construction_service_iconbg_color1).' 31%, '.esc_attr($home_construction_service_iconbg_color2).' 65%) !important;';
		$home_construction_custom_style .=' }';
	}

	// Back to top css
	$home_construction_back_totop_color = get_theme_mod('home_construction_back_totop_color');
	$home_construction_back_totop_bg_color = get_theme_mod('home_construction_back_totop_bg_color');
	if ( $home_construction_back_totop_color != '') {
		$home_construction_custom_style .=' .back-to-top {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_back_totop_color).'; background:'.esc_attr($home_construction_back_totop_bg_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_back_totop_bg_hover_color = get_theme_mod('home_construction_back_totop_bg_hover_color');

	if ( $home_construction_back_totop_bg_hover_color != '') {
		$home_construction_custom_style .=' .back-to-top:hover::after {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_back_totop_bg_hover_color).';';
		$home_construction_custom_style .=' }';
	}

	// Global Color
	$home_construction_first_global_color = get_theme_mod('home_construction_first_global_color');
	$home_construction_second_global_color = get_theme_mod('home_construction_second_global_color');

	if ( $home_construction_first_global_color != '') {
		$home_construction_custom_style .=' .logo, .article_content .read-btn a:before, .article_content .read-btn a:after, #slider .inner-carousel {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_first_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_first_global_color != '') {
		$home_construction_custom_style .=' .menu-section {';
			$home_construction_custom_style .=' border-left-color:'.esc_attr($home_construction_first_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_first_global_color != '' || $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .service-icon i {';
			$home_construction_custom_style .=' background: linear-gradient(to bottom, '.esc_attr($home_construction_first_global_color).' 31%, '.esc_attr($home_construction_second_global_color).' 65%);';
		$home_construction_custom_style .=' }';
	}

	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .nav-menu ul ul a, .metabox, #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i:hover, #slider .carousel-control-next-icon i:hover, .article_content .read-btn a, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .comment-body .comment-reply-link, #sidebar button.search-submit, button.search-submit, #service-section h3:before, #service-section h3:after, button, input[type="button"], input[type="submit"] {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' nav.woocommerce-MyAccount-navigation ul li {';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).' !important;';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' a, a:hover, a:active, .nav-menu ul li a:hover, .nav-menu ul ul a:hover, .single-post-tags, .single-post-tags a, .article_content h3, #service-section h3, a.showcoupon, .woocommerce-message::before, #sidebar h2.widget-title {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' #header, .nav-menu ul ul, .woocommerce .products li:hover, #sidebar h2.widget-title:after {';
			$home_construction_custom_style .=' border-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' .woocommerce-message {';
			$home_construction_custom_style .=' border-top-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' }';
	}
	if ( $home_construction_second_global_color != '') {
		$home_construction_custom_style .=' 
		@media screen and (max-width: 1000px){
			.toggle-menu i, .sidenav{';
			$home_construction_custom_style .=' background-color:'.esc_attr($home_construction_second_global_color).';';
		$home_construction_custom_style .=' } }';
	}

	// Copyright bg css
	$home_construction_copyright_padding = get_theme_mod('home_construction_copyright_padding');

	if( $home_construction_copyright_padding != ''){
		$home_construction_custom_style .=' .site-info {';
			$home_construction_custom_style .=' padding-top: '.esc_attr($home_construction_copyright_padding).'px; padding-bottom: '.esc_attr($home_construction_copyright_padding).'px;';
		$home_construction_custom_style .=' }';
	}

	$home_construction_copyright_bg_color = get_theme_mod('home_construction_copyright_bg_color');

	if ( $home_construction_copyright_bg_color != '') {
		$home_construction_custom_style .=' .copyright {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_copyright_bg_color).';';
		$home_construction_custom_style .=' }';
	}

	// Footer css
	$home_construction_footer_bdr_color = get_theme_mod('home_construction_footer_bdr_color');

	if ( $home_construction_footer_bdr_color != '') {
		$home_construction_custom_style .=' .site-info {';
			$home_construction_custom_style .=' border-color:'.esc_attr($home_construction_footer_bdr_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_footer_bg_color = get_theme_mod('home_construction_footer_bg_color');

	if ( $home_construction_footer_bg_color != '') {
		$home_construction_custom_style .=' #colophon {';
			$home_construction_custom_style .=' background:'.esc_attr($home_construction_footer_bg_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_footer_title_color = get_theme_mod('home_construction_footer_title_color');

	if ( $home_construction_footer_title_color != '') {
		$home_construction_custom_style .=' .site-footer h2.widget-title {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_footer_title_color).';';
		$home_construction_custom_style .=' }';
	}

	$home_construction_footer_text_color = get_theme_mod('home_construction_footer_text_color');

	if ( $home_construction_footer_text_color != '') {
		$home_construction_custom_style .=' .site-footer a, .site-footer p {';
			$home_construction_custom_style .=' color:'.esc_attr($home_construction_footer_text_color).';';
		$home_construction_custom_style .=' }';
	}